Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.transerror.nanmean

`mvpa2.clfs.transerror.``nanmean`(x, axis=0)

  Compute the mean over the given axis ignoring nans.

  Parameters:

  x : ndarray

  > Input array.

  axis : int, optional

  > Axis along which the mean is computed. Default is 0, i.e. the first axis.

  Returns:

  m : float

  > The mean of `x`, ignoring nans.

  See also

  `nanstd`, `nanmedian`

  Examples

      >>> from scipy import stats
      >>> a = np.linspace(0, 4, 3)
      >>> a
      array([ 0.,  2.,  4.])
      >>> a[-1] = np.nan
      >>> stats.nanmean(a)
      1.0

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »